//genesis

float STIM = 1		// uM
float COMPTVOL = 1e-19	// m^3
float BULKVOL = 1e-15	// m^3

float XA = {pow {COMPTVOL} 0.66666667}
float LEN = {pow {COMPTVOL} 0.3333333}
float D = 1e-15		// m^2/sec

include CaMKII_regulation.g
xhide /inform

PLOTDT = 1	// sec
FASTDT = 1e-3 	// sec
SIMDT = 1e-4 	// sec
TRANSIENT_TIME = 2	// sec
MAXTIME = 4000	// sec

setclock 2 {PLOTDT}
setclock 3 {PLOTDT}

// Here we set up diffusion between bulk and compartment
gen_make_1d_diff_pair {BULKVOL} {COMPTVOL} {XA} {LEN} {D}

// Select overlay mode for graphs
do_set_all_graph_field overlay 1

// Set the stimulus and buffer the molecule
setfield /kinetics/Ca_stim CoInit {STIM} slave_enable 4

// Run it in deterministic mode
do_set_integ_method 0
reset
do_run

// Run it in stochastic mode
do_set_integ_method 2
randseed2
reset
do_run
